[Fusionforge-commits] FusionForge branch master updated. v6.0.5-2102-gfed7011

Franck Villaume nerville at libremir.placard.fr.eu.org
Sun Aug 13 19:33:57 CEST 2017


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, master has been updated
       via  fed7011c5b4d36a69f3f9c62249353697f8ee0cd (commit)
      from  7d29105212c1644eed3934742970d247a5dda849 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://scm.fusionforge.org/anonscm/gitweb/?p=fusionforge/fusionforge.git;a=commitdiff;h=fed7011c5b4d36a69f3f9c62249353697f8ee0cd

commit fed7011c5b4d36a69f3f9c62249353697f8ee0cd
Author: Franck Villaume <franck.villaume at trivialdev.com>
Date:   Sun Aug 13 19:33:30 2017 +0200

    update packaging deb & rpm for ftp integration & new plugin: phptextcaptcha

diff --git a/src/GNUmakefile b/src/GNUmakefile
index 148dfc4..5419223 100644
--- a/src/GNUmakefile
+++ b/src/GNUmakefile
@@ -1,6 +1,7 @@
 # FusionForge build system
 #
 # Copyright (C) 2014, 2015  Inria (Sylvain Beucler)
+# Copyright 2017, Franck Villaume - TrivialDev
 #
 # This file is part of FusionForge. FusionForge is free software;
 # you can redistribute it and/or modify it under the terms of the
@@ -25,8 +26,6 @@ VERSION:=$(shell cat VERSION)
 all:
 	$(MAKE) -C locale/
 
-
-
 ## Step 2: install files
 install: all install-base install-plugins
 
@@ -143,6 +142,7 @@ install-lists: install-base-dirs
 	$(CP_R) cronjobs/lists $(DESTDIR)$(pkgdatadir)/cronjobs/
 	$(CP_R) post-install.d/lists $(DESTDIR)$(pkgdatadir)/post-install.d/
 	$(INSTALL) -d -m 00755 $(DESTDIR)$(pkgdatadir)/lists/
+
 install-ftp: install-base-dirs
 	$(CP_R) cronjobs/ftp $(DESTDIR)$(pkgdatadir)/cronjobs/
 	$(CP_R) post-install.d/ftp $(DESTDIR)$(pkgdatadir)/post-install.d/
@@ -189,24 +189,33 @@ post_source_path:=$(shell forge_get_config source_path 2>/dev/null)
 post_plugins_path:=$(shell forge_get_config plugins_path 2>/dev/null)
 post-install:
 	$(post_source_path)/bin/post-install.sh
-post-install-base: post-install-common post-install-db post-install-web post-install-scm
+
+post-install-base: post-install-common post-install-db post-install-web post-install-scm post-install-ftp
+
 post-install-common:
 	$(post_source_path)/post-install.d/common/common.sh configure
+
 post-install-db:
 	$(post_source_path)/post-install.d/db/db.sh configure
+
 post-install-web:
 	$(post_source_path)/post-install.d/web/web.sh configure
+
 post-install-scm:
 #	nothing yet
 
 post-install-shell:
 	$(post_source_path)/post-install.d/shell/shell.sh configure
+
 post-install-mta-postfix:
 	$(post_source_path)/post-install.d/mta-postfix/mta-postfix.sh configure
+
 post-install-mta-exim4:
 	$(post_source_path)/post-install.d/mta-exim4/mta-exim4.sh configure
+
 post-install-lists:
 	$(post_source_path)/post-install.d/lists/lists.sh configure
+
 post-install-ftp:
 	$(post_source_path)/post-install.d/ftp/ftp.sh configure
 
diff --git a/src/debian/fusionforge-ftp.postinst b/src/debian/fusionforge-ftp.postinst
new file mode 100644
index 0000000..b9229dc
--- /dev/null
+++ b/src/debian/fusionforge-ftp.postinst
@@ -0,0 +1,40 @@
+#!/bin/bash
+# postinst script for fusionforge
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        $(forge_get_config source_path)/post-install.d/ftp/ftp.sh configure
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/src/debian/fusionforge-ftp.prerm b/src/debian/fusionforge-ftp.prerm
new file mode 100644
index 0000000..bb1c28b
--- /dev/null
+++ b/src/debian/fusionforge-ftp.prerm
@@ -0,0 +1,43 @@
+#!/bin/sh
+# prerm script for fusionforge
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove)
+        if ! which forge_get_config >/dev/null; then exit 0; fi
+        $(forge_get_config source_path)/post-install.d/ftp/ftp.sh remove
+    ;;
+
+    upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/src/debian/plugins b/src/debian/plugins
index bdbf415..6d4c824 100644
--- a/src/debian/plugins
+++ b/src/debian/plugins
@@ -100,3 +100,6 @@ Depends:
 
 Package: fusionforge-plugin-webanalytics
 Depends:
+
+Package: fusionforge-plugin-phptextcaptcha
+Depends: php-text-captcha
diff --git a/src/debian/rules b/src/debian/rules
index 81823f6..7114897 100755
--- a/src/debian/rules
+++ b/src/debian/rules
@@ -31,6 +31,7 @@ override_dh_auto_install:
 	make install-mta-postfix prefix=/usr DESTDIR=$(CURDIR)/debian/fusionforge-mta-postfix
 	make install-mta-exim4   prefix=/usr DESTDIR=$(CURDIR)/debian/fusionforge-mta-exim4
 	make install-lists       prefix=/usr DESTDIR=$(CURDIR)/debian/fusionforge-lists
+	make install-ftp         prefix=/usr DESTDIR=$(CURDIR)/debian/fusionforge-ftp
 	for i in $$(sed -n 's/^Package: fusionforge-plugin-//p' debian/plugins); do \
 		make install-plugin-$$i prefix=/usr DESTDIR=$(CURDIR)/debian/fusionforge-plugin-$$i; \
 		if [ -e debian/plugin.postinst ]; then \
diff --git a/src/rpm/fusionforge.spec.in b/src/rpm/fusionforge.spec.in
index e13372d..79cde1e 100644
--- a/src/rpm/fusionforge.spec.in
+++ b/src/rpm/fusionforge.spec.in
@@ -74,6 +74,7 @@ install_listfiles scm
 install_listfiles mta-postfix
 install_listfiles mta-exim4
 install_listfiles lists
+install_listfiles ftp
 # Install plugins
 for i in $(sed -n 's/^%package plugin-//p' rpm/plugins); do \
     install_listfiles plugin-$i
@@ -274,6 +275,22 @@ This package controls the interaction between FusionForge and Mailman.
 %{_datadir}/%{name}/post-install.d/lists/lists.sh configure
 
 
+%package ftp
+Summary: Collaborative development tool - ftp (using vsftpd)
+Requires: %{name}-common = %{version}-%{release}, vsftpd
+%description ftp
+FusionForge provides many tools to aid collaboration in a
+development project, such as bug-tracking, task management,
+mailing-lists, SCM repository, forums, support request helper,
+web/FTP hosting, release management, etc. All these services are
+integrated into one web site and managed through a web interface.
+
+This package controls the interaction between FusionForge and vsftpd.
+%files ftp -f ftp.rpmfiles
+%post ftp
+%{_datadir}/%{name}/post-install.d/ftp/ftp.sh configure
+
+
 @plugins@
 
 
diff --git a/src/rpm/plugins b/src/rpm/plugins
index c9df70f..563eed6 100644
--- a/src/rpm/plugins
+++ b/src/rpm/plugins
@@ -95,3 +95,6 @@ Requires:
 
 %package plugin-repositoryapi
 Requires:
+
+%pacakge plugin-phptextcaptcha
+Requires: php-pear-Text-CAPTCHA

-----------------------------------------------------------------------

Summary of changes:
 src/GNUmakefile                                         | 15 ++++++++++++---
 ...usionforge-web.postinst => fusionforge-ftp.postinst} |  4 ++--
 .../{fusionforge-web.prerm => fusionforge-ftp.prerm}    |  2 +-
 src/debian/plugins                                      |  3 +++
 src/debian/rules                                        |  1 +
 src/rpm/fusionforge.spec.in                             | 17 +++++++++++++++++
 src/rpm/plugins                                         |  3 +++
 7 files changed, 39 insertions(+), 6 deletions(-)
 copy src/debian/{fusionforge-web.postinst => fusionforge-ftp.postinst} (92%)
 copy src/debian/{fusionforge-web.prerm => fusionforge-ftp.prerm} (93%)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list